Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network36.80.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
36.80.0.0
Broadcast address
36.95.255.255
First usable
36.80.0.1
Last usable
36.95.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 24500000 · Integer 609222656 to 610271231
Reverse DNS zones
80.36.in-addr.arpa
81.36.in-addr.arpa
82.36.in-addr.arpa
83.36.in-addr.arpa
84.36.in-addr.arpa
85.36.in-addr.arpa
86.36.in-addr.arpa
87.36.in-addr.arpa
88.36.in-addr.arpa
89.36.in-addr.arpa
90.36.in-addr.arpa
91.36.in-addr.arpa
92.36.in-addr.arpa
93.36.in-addr.arpa
94.36.in-addr.arpa
95.36.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100100.01010000.00000000.0000000036.80.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network00100100.01010000.00000000.0000000036.80.0.0
Broadcast00100100.01011111.11111111.1111111136.95.255.255
Split into smaller subnets/18

36.80.0.0/12 makes 64 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
136.80.0.0/1836.80.0.1 to 36.80.63.25436.80.63.25516,382
236.80.64.0/1836.80.64.1 to 36.80.127.25436.80.127.25516,382
336.80.128.0/1836.80.128.1 to 36.80.191.25436.80.191.25516,382
436.80.192.0/1836.80.192.1 to 36.80.255.25436.80.255.25516,382
536.81.0.0/1836.81.0.1 to 36.81.63.25436.81.63.25516,382
636.81.64.0/1836.81.64.1 to 36.81.127.25436.81.127.25516,382
736.81.128.0/1836.81.128.1 to 36.81.191.25436.81.191.25516,382
836.81.192.0/1836.81.192.1 to 36.81.255.25436.81.255.25516,382
936.82.0.0/1836.82.0.1 to 36.82.63.25436.82.63.25516,382
1036.82.64.0/1836.82.64.1 to 36.82.127.25436.82.127.25516,382
1136.82.128.0/1836.82.128.1 to 36.82.191.25436.82.191.25516,382
1236.82.192.0/1836.82.192.1 to 36.82.255.25436.82.255.25516,382
1336.83.0.0/1836.83.0.1 to 36.83.63.25436.83.63.25516,382
1436.83.64.0/1836.83.64.1 to 36.83.127.25436.83.127.25516,382
1536.83.128.0/1836.83.128.1 to 36.83.191.25436.83.191.25516,382
1636.83.192.0/1836.83.192.1 to 36.83.255.25436.83.255.25516,382
1736.84.0.0/1836.84.0.1 to 36.84.63.25436.84.63.25516,382
1836.84.64.0/1836.84.64.1 to 36.84.127.25436.84.127.25516,382
1936.84.128.0/1836.84.128.1 to 36.84.191.25436.84.191.25516,382
2036.84.192.0/1836.84.192.1 to 36.84.255.25436.84.255.25516,382
2136.85.0.0/1836.85.0.1 to 36.85.63.25436.85.63.25516,382
2236.85.64.0/1836.85.64.1 to 36.85.127.25436.85.127.25516,382
2336.85.128.0/1836.85.128.1 to 36.85.191.25436.85.191.25516,382
2436.85.192.0/1836.85.192.1 to 36.85.255.25436.85.255.25516,382
2536.86.0.0/1836.86.0.1 to 36.86.63.25436.86.63.25516,382
2636.86.64.0/1836.86.64.1 to 36.86.127.25436.86.127.25516,382
2736.86.128.0/1836.86.128.1 to 36.86.191.25436.86.191.25516,382
2836.86.192.0/1836.86.192.1 to 36.86.255.25436.86.255.25516,382
2936.87.0.0/1836.87.0.1 to 36.87.63.25436.87.63.25516,382
3036.87.64.0/1836.87.64.1 to 36.87.127.25436.87.127.25516,382
3136.87.128.0/1836.87.128.1 to 36.87.191.25436.87.191.25516,382
3236.87.192.0/1836.87.192.1 to 36.87.255.25436.87.255.25516,382
3336.88.0.0/1836.88.0.1 to 36.88.63.25436.88.63.25516,382
3436.88.64.0/1836.88.64.1 to 36.88.127.25436.88.127.25516,382
3536.88.128.0/1836.88.128.1 to 36.88.191.25436.88.191.25516,382
3636.88.192.0/1836.88.192.1 to 36.88.255.25436.88.255.25516,382
3736.89.0.0/1836.89.0.1 to 36.89.63.25436.89.63.25516,382
3836.89.64.0/1836.89.64.1 to 36.89.127.25436.89.127.25516,382
3936.89.128.0/1836.89.128.1 to 36.89.191.25436.89.191.25516,382
4036.89.192.0/1836.89.192.1 to 36.89.255.25436.89.255.25516,382
4136.90.0.0/1836.90.0.1 to 36.90.63.25436.90.63.25516,382
4236.90.64.0/1836.90.64.1 to 36.90.127.25436.90.127.25516,382
4336.90.128.0/1836.90.128.1 to 36.90.191.25436.90.191.25516,382
4436.90.192.0/1836.90.192.1 to 36.90.255.25436.90.255.25516,382
4536.91.0.0/1836.91.0.1 to 36.91.63.25436.91.63.25516,382
4636.91.64.0/1836.91.64.1 to 36.91.127.25436.91.127.25516,382
4736.91.128.0/1836.91.128.1 to 36.91.191.25436.91.191.25516,382
4836.91.192.0/1836.91.192.1 to 36.91.255.25436.91.255.25516,382
4936.92.0.0/1836.92.0.1 to 36.92.63.25436.92.63.25516,382
5036.92.64.0/1836.92.64.1 to 36.92.127.25436.92.127.25516,382
5136.92.128.0/1836.92.128.1 to 36.92.191.25436.92.191.25516,382
5236.92.192.0/1836.92.192.1 to 36.92.255.25436.92.255.25516,382
5336.93.0.0/1836.93.0.1 to 36.93.63.25436.93.63.25516,382
5436.93.64.0/1836.93.64.1 to 36.93.127.25436.93.127.25516,382
5536.93.128.0/1836.93.128.1 to 36.93.191.25436.93.191.25516,382
5636.93.192.0/1836.93.192.1 to 36.93.255.25436.93.255.25516,382
5736.94.0.0/1836.94.0.1 to 36.94.63.25436.94.63.25516,382
5836.94.64.0/1836.94.64.1 to 36.94.127.25436.94.127.25516,382
5936.94.128.0/1836.94.128.1 to 36.94.191.25436.94.191.25516,382
6036.94.192.0/1836.94.192.1 to 36.94.255.25436.94.255.25516,382
6136.95.0.0/1836.95.0.1 to 36.95.63.25436.95.63.25516,382
6236.95.64.0/1836.95.64.1 to 36.95.127.25436.95.127.25516,382
6336.95.128.0/1836.95.128.1 to 36.95.191.25436.95.191.25516,382
6436.95.192.0/1836.95.192.1 to 36.95.255.25436.95.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses